Skip to content

Open a review round generating reviews based on the round assignment rules

Request

This endpoint opens a review round for a process and closes the existing open round, it also generates reviews for all of the assignees defined in the matching assignment rules on the round being opened

Security
knox-authorizer
Path
tenantIdstringrequired

The tenant

typeIdstringrequired

The id of the abstract type that the round is on

roundIdstringrequired

The id of the round being opened

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/abstractReviews/{tenantId}/openRound/{typeId}/{roundId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The round was successfully opened

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring